<script lang="ts" setup>
import Background from '@/components/Background.vue';
import Button from '@/components/Button.vue';
import PageHeader from '@/components/PageHeader.vue';
</script>

<template>
  <div class="welcome">
    <div class="text">
      <h1>Encrypt and store your files
        anonymously on an independant
        and resilient network</h1>
      <p>Bloc is a fully open-source self-hosted cloud storage server developed by Coldwire and which store files
        encrypted on the client side</p>
      <div class="buttons">
        <Button color="var(--primary-blue)">Login Now</Button>
        <span>or</span>
        <Button color="var(--secondary-magenta)">Download client (safest)</Button>
      </div>
    </div>
    <img src="@/assets/img/bloc.svg" alt="">
  </div>

  <Background />
</template>

<style>
.welcome {
  margin-top: 90px;

  display: flex;
  flex-direction: row;

  align-items: center;

  height: calc(100vh - 5%);
  gap: 10%;
}

.welcome .text {
  display: flex;
  flex-direction: column;
  gap: 32px;

  width: 40%;
}

.welcome .text h1 {
  margin: 0;
}

.welcome .text p {
  margin: 0;
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  color: var(--complementary-white-25);
}

.welcome .text .buttons {
  display: flex;
  align-items: center;
  gap: 16px;
  color: var(--complementary-white-25);
}

.welcome img {
  width: 40%;
  border-radius: 12px;
  transform: rotate(6deg);
}

@media only screen and (max-width: 968px) {
  .welcome img {
    display: none;
  }

  .welcome .text {
    width: 100%;
  }
}

</style>